API Reference
Add new transaction check(s)
/v2/transaction_check https://api.cable.tech Authentication
- Bearer token in the Authorization header
transaction_check:write
Request body
Transaction check data to add.
-
check_idstring requiredUnique identifier for a monitoring check belonging to a transaction. This is the primary key for a transaction check and should be unique across all transaction checks. Updates to a transaction check should be made using this identifier.
-
is_testbooleanSet to true if this is a test transaction check
Default
false -
statusstring requiredTransaction check status. Required when creating new transaction checks, optional for updates.
Allowed values
PENDINGCOMPLETEDREQUESTEDASSIGNEDFAILED -
typestring requiredThe type of monitoring check that is being performed. Required when creating new transaction checks, optional for updates.
Allowed values
INLINE_MONITORINGDELAYED_MONITORING -
related_tx_idstring deprecatedUnique identifier for the transaction which the check is related to.
-
related_tx_idslist of stringsUnique identifiers for transactions which the check relates to.
-
timestampstring requiredWhen this transaction check was performed in your system, in ISO 8601 format.
Format
date-time
Responses
201 Transaction check added successfully
-
successboolean requiredIndicates if the write operation was successful.
-
write_countinteger requiredThe number of records written to the database.
Format
int32 -
messagestring requiredProvides additional information about the operation result.
-
organization_idstring requiredThe organization ID for which the operation was performed.
Errors
- 400 Invalid transaction check data
- 401 Unauthorized request
- 409 Transaction check already exists
- 429 Rate limit exceeded
- 500 Server error
- default General error
-
codeinteger requiredFormat
int32 -
messagestring required -
errorslist of objectsDetailed information about errors in specific fields.
-
fieldstring -
messagestring
-